<div class="header">
    <img src="assets/images/search.svg" id="img" alt="">
    <div class="text"><h2>See how your files classify.</h2>
        <div class="inputs">
            <label for="train-upload" class="file-upload train">
                Training Files
            </label>
            <input id="train-upload" type="file" accept="text/plain, text/csv" (change)="processTrainingFile($event)" multiple>
            <label for="compare-upload" class="file-upload compare">
                Comparison Files
            </label>
            <input id="compare-upload" type="file" accept="text/plain, text/csv" (change)="processComparisonFile($event)" multiple>
        </div>
    </div>
</div>

<div class="upload-container" [@listAnimationVertical]="2" *ngIf="trainingToUpload || comparisonToUpload">
    <div class="training">
        <h1>Training Files Upload</h1>
        <div *ngIf="trainingToUpload" class="pills" [@listAnimationVertical]="trainingToUpload.length">
            <ng-container *ngFor="let file of trainingToUpload">
                <div class="pill">
                    <h3>{{file.name}} <span class="file-size">{{getFileSize(file.size)}}</span></h3> 
                </div>
            </ng-container>
        </div>
        <ng-container *ngIf="trainingToUpload">
            <button (click)="uploadTraining()" class="btn">Upload</button>
        </ng-container>
    </div>
    
    <div class="comparison">
        <h1>Comparison Files Upload</h1>
        <div *ngIf="comparisonToUpload" class="pills" [@listAnimation]="comparisonToUpload.length">
            <ng-container *ngFor="let file of comparisonToUpload">
                <div class="pill">
                    <h3>{{file.name}} <span class="file-size">{{getFileSize(file.size)}}</span></h3> 
                </div>
            </ng-container>
        </div>
        <ng-container *ngIf="comparisonToUpload">
            <button (click)="uploadCompare()" class="btn">Upload</button>
        </ng-container>
    </div>
</div>
<ng-container *ngIf="!training && !comparing">
    <div class="middle-container" *ngIf="(trainingFiles || comparisonFiles) && !results">
        <div class="training">
            <h1>Training Files</h1>
            <div *ngIf="trainingFiles" class="files-card" [@listAnimationVertical]="trainingFiles.length">
                <ng-container *ngFor="let file of trainingFiles">
                    <div class="file">
                        <h3>{{file.name}} <span class="file-size">{{getFileSize(file.size)}}</span></h3> 
                    </div>
                </ng-container>
            </div>
            <ng-container *ngIf="trainingFiles">
                <button (click)="trainWithCollection()" class="btn">Train</button>
            </ng-container>
        </div>
        
        <div class="comparison">
            <h1>Comparison Files</h1>
            <div *ngIf="comparisonFiles" class="files-card" [@listAnimationVertical]="comparisonFiles.length">
                <ng-container *ngFor="let file of comparisonFiles">
                    <div class="file">
                        <h3>{{file.name}} <span class="file-size">{{getFileSize(file.size)}}</span></h3> 
                    </div>
                </ng-container>
            </div>
            <ng-container *ngIf="comparisonFiles">
                <button (click)="compareWithCollection()" class="btn">Compare</button>
            </ng-container>
        </div>
    </div>
</ng-container>

<ng-container *ngIf = "training || comparing">
    <div class="loading-container">
        <app-loading></app-loading>
    </div>
</ng-container>

<ng-container *ngIf="results">
    <div class="results">
        <div class="cosine" [@listAnimationVertical]="results.cosineSimilarity.length">
            <h1>Cosine simillarities</h1>
            <ng-container *ngFor="let cosine of results.cosineSimilarity">
                <div class="result-card">
                    <div class="file"><span class="pre">For file</span> {{cosine.file}}</div>
                    <div class="features">
                        <ng-container *ngFor="let feature of cosine.features">
                            <div class="feature">{{feature}}</div>
                        </ng-container>
                    </div>
                    <div class="index"><span class="pre">With cosine similarity index: </span>{{cosine.cosineIndex}}</div>
                </div>
            </ng-container>
        </div>

        <div class="jaccard" [@listAnimationVertical]="results.jaccardSimilarity.length">
            <h1>Jaccard simillarities</h1>
            <ng-container *ngFor="let jaccard of results.jaccardSimilarity">
                <div class="result-card">
                    <div class="file"><span class="pre">For file</span> {{jaccard.file}}</div>
                    <div class="features">
                        <ng-container *ngFor="let feature of jaccard.features">
                            <div class="feature">{{feature}}</div>
                        </ng-container>
                    </div>
                    <div class="index"><span class="pre">With jaccard similarity index: </span>{{jaccard.jaccardIndex}}</div>
                </div>
            </ng-container>
        </div>
    </div>
</ng-container>
